From 964b9ff93f1ee298f67fc37192816d63b7052c8a Mon Sep 17 00:00:00 2001
From: Kent Fredric <kentfredric@gmail.com>
Date: Wed, 7 Jun 2017 08:48:09 +1200
Subject: [PATCH] Fix fo '.' missing from @INC in perl 5.26+ RT#120808

Fixes: https://rt.cpan.org/Public/Bug/Display.html?id=120808
---
 Changes     | 3 +++
 Makefile.PL | 3 ++-
 2 files changed, 5 insertions(+), 1 deletion(-)

diff --git a/Changes b/Changes
index 54ebaf3..bed66a9 100644
--- a/Changes
+++ b/Changes
@@ -1,5 +1,8 @@
 Revision history for Digest::BubbleBabble
 
+    - Fix Makefile.PL being broken due to '.' removal from default @INC
+      since Perl 5.25.11 ( RT#120808 )
+
 0.02  2011.03.23
     - Fixed a bug affecting input strings with an odd number of
       characters. Thanks to Ken T Takusagawa for the report.
diff --git a/Makefile.PL b/Makefile.PL
index af538b6..261085f 100644
--- a/Makefile.PL
+++ b/Makefile.PL
@@ -1,3 +1,4 @@
+use lib '.';
 use inc::Module::Install;
 name 'Digest-BubbleBabble';
 all_from 'lib/Digest/BubbleBabble.pm';
@@ -9,4 +10,4 @@ use_test_base;
 auto_include_deps;
 author_tests('xt');
 auto_set_repository;
-WriteAll;
\ No newline at end of file
+WriteAll;
-- 
2.13.0

